Skip to content
BleemeoBleemeo

List account configs

GET
/v1/accountconfig/
curl --request GET \
--url https://example.com/v1/accountconfig/ \
--header 'Authorization: Bearer <token>'

Return all account configurations.

cursor
string

The pagination cursor value.

name
string
page_size
integer

Number of results to return per page.

restricted_to_account
string format: uuid
search
string

A search term.

Media typeapplication/json
object
next
string format: uri
nullable
previous
string format: uri
nullable
results
required
Array<object>

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
aws_integration
required
custom_dashboard
required
docker_integration
required
id
required
string format: uuid
integrations
required
string
live_process
required
live_process_resolution
required
logs_retention
required
metrics_agent_resolution
required
integer
metrics_agent_whitelist
required
string
metrics_display_limit
required
metrics_retention
required
name
required
string
<= 100 characters
recordingrule_time_max
required
report
required
integer
public_status_page
required
restricted_to_account
string format: uuid
nullable
snmp_integration
required
log_integration
required
vsphere_integration
required
suspended
boolean
event_display_limit
required
number_of_custom_metrics
required
Example
{
"next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"",
"previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3"
}